=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2006-08-14 13:41:02 +0000
+++ bzrlib/branch.py	2006-08-14 15:05:01 +0000
@@ -575,13 +575,13 @@
             mainline_parent_id = revision_id
         return BranchCheckResult(self)
 
-    def create_checkout_convenience(self, to_location, revision_id=None,
-                                    lightweight=False):
+    def create_checkout(self, to_location, revision_id=None, 
+                        lightweight=False):
         """Create a checkout of a branch.
         
         :param to_location: The url to produce the checkout at
         :param revision_id: The revision to check out
-        :param lightweight: If True, produce a lightweight checkout, othewise
+        :param lightweight: If True, produce a lightweight checkout, otherwise,
         produce a bound branch (heavyweight checkout)
         :return: The tree of the created checkout
         """

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-08-07 18:23:08 +0000
+++ bzrlib/builtins.py	2006-08-14 15:05:01 +0000
@@ -762,8 +762,7 @@
         old_format = bzrdir.BzrDirFormat.get_default_format()
         bzrdir.BzrDirFormat.set_default_format(bzrdir.BzrDirMetaFormat1())
         try:
-            source.create_checkout_convenience(to_location, revision_id, 
-                                               lightweight)
+            source.create_checkout(to_location, revision_id, lightweight)
         finally:
             bzrdir.BzrDirFormat.set_default_format(old_format)
 

=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2006-08-07 18:23:08 +0000
+++ bzrlib/tests/blackbox/test_info.py	2006-08-14 15:05:01 +0000
@@ -551,7 +551,7 @@
         self.assertCheckoutStatusOutput('tree/lightcheckout', tree2, shared_repo=repo)
 
         # Create normal checkout
-        tree3 = branch1.create_checkout_convenience('tree/checkout')
+        tree3 = branch1.create_checkout('tree/checkout')
         self.assertCheckoutStatusOutput('tree/checkout --verbose', tree3,
             verbose=True,
             light_checkout=False, repo_branch=branch1)

=== modified file 'bzrlib/tests/branch_implementations/test_branch.py'
--- bzrlib/tests/branch_implementations/test_branch.py	2006-08-14 13:41:02 +0000
+++ bzrlib/tests/branch_implementations/test_branch.py	2006-08-14 15:05:01 +0000
@@ -376,22 +376,20 @@
     def test_checkout_convenience(self):
         tree_a = self.make_branch_and_tree('a')
         branch_a = tree_a.branch
-        checkout_b = branch_a.create_checkout_convenience('b')
+        checkout_b = branch_a.create_checkout('b')
         checkout_b.commit('rev1', rev_id='rev1')
         self.assertEqual('rev1', branch_a.last_revision())
         self.assertNotEqual(checkout_b.branch.base, branch_a.base)
 
-        checkout_c = branch_a.create_checkout_convenience('c', 
-                                                          lightweight=True)
+        checkout_c = branch_a.create_checkout('c', lightweight=True)
         checkout_c.commit('rev2', rev_id='rev2')
         self.assertEqual('rev2', branch_a.last_revision())
         self.assertEqual(checkout_c.branch.base, branch_a.base)
 
         os.mkdir('d')
-        checkout_d = branch_a.create_checkout_convenience('d', 
-                                                          lightweight=True)
+        checkout_d = branch_a.create_checkout('d', lightweight=True)
         os.mkdir('e')
-        checkout_e = branch_a.create_checkout_convenience('e')
+        checkout_e = branch_a.create_checkout('e')
 
 
 class ChrootedTests(TestCaseWithBranch):

